# Readme
In order to start working with the Beagle Bone Boards, it is highly recommended flash (load) the
most recent system image. 

## Flashing the microSD

There are two ways of update the system image: 1)by flashing the onboard eMMC flash or 2) by booting
from the microSD card. I highly recommend the microSD option to have more space for system updates,
installations and packages.  

Thus you will first need to download the latest software image. Consider to use tho IoT images if
you want speed and don't need a GUI. Here you can find the [latest image](https://rcn-ee.net/rootfs/bb.org/testing/2023-01-02/buster-iot-armhf/bone-debian-10.13-iot-armhf-2023-01-02-4gb.img.xz) tested to work properly  with GNU-Linux, MacOS (Monterey) and Windows. 

Then, you will need to flash your microSD using the [App Balena
Etcher](https://www.balena.io/etcher/) and the recently downloaded
image(bone-debian-10.13-iot-armhf-2023-01-02-4gb.img.xz): 

![](https://beagleboard.org/static/images/write-latestimage.png)

After Flashing the SD card, eject it from your computer and insert it into the beagle bone
(powered-down)card. Hold down the USER/BOOT button (S2 button on the board for 5 seconds) and
apply power. 

Then, the beaglebone board must be present in your system as an external drive (similar to SD
card with `BEAGLEBONE` name). **You can check the Finder(MacOS), File Explorer(Windows) or
Nautilus(GNU Linux).**

## Testing USB connection
The USB connection will be the most used and common kind of connection to the BBB(Beagle Bone Boards).
To test this connection, attach the USB cable to your computer and BBB. Then `ping` the board in the
terminal using (192.168.7.2 for Windows and 192.168.6.2 in MacOS/Linux):

```bash
ping 192.168.6.2
PING 192.168.6.2 (192.168.6.2): 56 data bytes
64 bytes from 192.168.6.2: icmp_seq=0 ttl=64 time=13.891 ms
64 bytes from 192.168.6.2: icmp_seq=1 ttl=64 time=1.085 ms
64 bytes from 192.168.6.2: icmp_seq=2 ttl=64 time=1.098 ms
64 bytes from 192.168.6.2: icmp_seq=3 ttl=64 time=0.968 ms
```

This happens because your Beagle is running a DHCP server that will provide your computer with an IP address of either 192.168.7.1 or 192.168.6.1, depending on the type of USB network adapter supported by your computer's operating system. Your Beagle will reserve 192.168.7.2 (in Windows) or 192.168.6.2 (in MacOS/Linux) for itself.


If you receive a different output like this:

```bash
192.168.6.2 ping statistics ---
4 packets transmitted, 4 packets received, 0.0% packet loss
round-trip min/avg/max/stddev = 0.968/4.260/13.891/5.560 ms
```

thus, your BBB most probably is not recognized by your host computer.


**If you have problems by testing the `ping` command, then, try to install a most recent image**
    
